Subject: Re: [PATCH 2/2] repo-config: learn the flag "--no-local"

From: Jakub Narebski <[email-masked]>
Date: Thu, 08 Jun 2006 23:15:41 +0200

Johannes Schindelin wrote:

> Hi,
> 
> On Thu, 8 Jun 2006, Jakub Narebski wrote:
> 
>> Johannes Schindelin wrote:
>> 
>> > BTW it is the same reason I would rather not see /etc/gitconfig: it 
>> > meddles with an existing configuration. If you want to give defaults,
you 
>> > can use a skeleton for $HOME, and templates for $GIT_DIR. As a user, I 
>> > would be very surprised if the behaviour of git changed from one day to 
>> > the other without my changing anything.
>> 
>> I agree wholeheartily. I guess that the 'skeleton' part has yet to be
>> written...
> 
> I don't know what exactly you mean: the skeleton copying part, or the 
> default .gitconfig?

No, I mean the default skeleton for .gitconfig/.gitrc in git distribution or
git deb/rpm, and install copying it to appropriate drectory (/etc/skel/ if
installed as root, or $HOME if installed as an ordinary user).

-- 
Jakub Narebski
Warsaw, Poland